Get instance configurations

  • GET /platform/configuration/instances
Auth

Get instance configurations.

Query parameters

show_deleted boolean

If true, instance configurations marked for deletions are also returned. Otherwise, only instance configurations not marked for deletion are returned

show_max_zones boolean · default: false

If true, will populate the max_zones field of the instance configurations.

include_versions boolean · default: false

If true, will return all existing versions of each instance configuration.

Response

A InstanceConfiguration

application/octet-stream
<array> object[]
id string

Unique identifier for the instance configuration

name string required

Display name for the instance configuration.

config_version integer · format: int32

If the IC is configuration controlled, this field is the version either being read back (reads return the latest IC unless specified by the 'config_version' URL param), or the version to update. Cannot be used in creates. For unversioned IC reads it is left empty.

description string

Optional description for the instance configuration

instance_type enum

The type of instance. For instance configurations where the type is specified in the 'id', the default value of 'instance_type' will be automatically inferred.

Values: elasticsearch kibana apm integrations_server appsearch enterprise_search
node_types string[]

Node types (master, data) for the instance. For instance configurations where the type (and tier) is specified in the 'id', the default value of 'node_types' will be automatically inferred.

discrete_sizes object required

Instance sizes that are supported by the Elasticsearch instance, Kibana instance, or APM Server configuration.

sizes integer[] · format: int32 required

List of supported sizes

default_size integer · format: int32

The default size

resource enum

The unit that each size represents. If not specified, it will default to 'memory'.

Values: memory storage
storage_multiplier number · format: double

Settings for the instance storage multiplier

deleted_on string · format: date-time

Date/time that this instance configuration was marked for deletion

system_owned boolean

Indicates if a instance configuration is system owned (restricts the set of operations that can be performed on it)

metadata object

Optional arbitrary metadata to associate with this template.

cpu_multiplier number · format: double

Settings for the instance CPU multiplier

allowed_zones string[]

The zones this instance configuration may exist in. Leaving out this parameter or specifying an empty list implies all zones are allowed. Normally not needed, but can be useful for exceptional infrastructure constraints.

max_zones integer · format: int32

The maximum number of availability zones in which this instance configuration has allocators. This field will be missing unless explicitly requested with the show_max_zones parameter.